<template>
  <!-- Shows a resest button and a download JSON button in the mobile version to get the formular as JSON.-->
  <v-row justify="end" class="text-center">
    <v-btn @click="resetSelectedQuestions()" large class="mt-6" depressed tile
      >Abbrechen</v-btn
    >
    <v-dialog v-model="dialog" persistent max-width="600px">
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          dark
          v-bind="attrs"
          v-on="on"
          depressed
          tile
          color="primary white--text"
          large
          class="ma-6"
        >
          Export
        </v-btn>
      </template>
      <DownloadModal @closeDialog="closeDialog()" />
    </v-dialog>
  </v-row>
</template>

<script>
  import DownloadModal from "./DownloadModal";
  //The export uses the methods 'downloadJSON' to download the formular as JSON and
//the 'resetSelectedQuestions' method to disable all selected Questions.
export default {
  name: "Buttons",
  components: {
    DownloadModal
  },
  data() {
    return {
      dialog: false
    };
  },
  methods: {
    downloadJSON() {
      this.$store.dispatch("downloadJSON");
    },
    resetSelectedQuestions() {
      this.$router.go(0);
    },
    closeDialog() {
      this.dialog = false;
    }
  }
};
</script>

<style scoped></style>
